Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.event
Interface HelpSetListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  BasicFavoritesNavigatorUI, JHelp

public interface HelpSetListener
extends java.util.EventListener

Defines the interface of an object that listens to changes in the HelpSet.

Method Summary
`void` | `helpSetAdded(HelpSetEvent e)` Invoked when a new HelpSet is added.
`void` | `helpSetRemoved(HelpSetEvent e)` Invoked when a new HelpSet is removed.

Method Detail

### helpSetAdded

    public void helpSetAdded(HelpSetEvent e)

  Invoked when a new HelpSet is added.

  Parameters:
    `e` - The event

### helpSetRemoved

    public void helpSetRemoved(HelpSetEvent e)

  Invoked when a new HelpSet is removed.

  Parameters:
    `e` - The event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD